backend:
  name: git-gateway
  repo: grandlimo/carserviceaugusta
  branch: main # Branch to update (optional; defaults to master)
media_folder: 'uploads/'
collections:
  - name: "settup"
    label: "Settings"
    extension: "json"
    editor:
      preview: false
    files:
     - file: "_data/metadata.json"
       label: "Site Settup"
       name: "sets"
       widget: list
       fields:
         - { label: 'Title', name: 'title', widget: 'string' }
         - { label: 'Description', name: 'description', widget: 'text' }
         - { label: 'URL', name: 'url', widget: 'string' }
         - { label: 'Info Text', name: 'infotext', widget: 'text' }
         - { label: 'Solutions', name: 'solution', widget: 'string' }
         - { label: 'Book URL', name: 'book', widget: 'string' }
         - { label: 'Car1', name: 'web1', widget: 'string' }
         - { label: 'Car2', name: 'web2', widget: 'string' }
         - { label: 'Car3', name: 'web3', widget: 'string' }
         - { label: 'Car4', name: 'web4', widget: 'string' }
         - { label: 'Car5', name: 'web5', widget: 'string' }
  - name: 'contact'
    label: 'Contact'
    folder: 'contact/'
    slug: ''
    create: false
    editor:
      preview: false
    fields:
      - { label: 'Layout', name: 'layout', widget: 'hidden', default: 'layouts/post.njk' }
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Description', name: 'description', widget: 'string' }
      - { label: 'Cover Image', name: 'cover', widget: 'image' }
      - { label: 'Tags', name: 'tags', widget: 'string' }
      - { label: 'Body', name: 'body', widget: 'markdown' }
  - name: 'blog'
    label: 'Blog'
    folder: 'posts/'
    slug: ''
    create: true
    editor:
      preview: false
    fields:
      - { label: 'Layout', name: 'layout', widget: 'hidden', default: 'layouts/post.njk' }
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Description', name: 'description', widget: 'string' }
      - { label: 'Publish Date', name: 'date', widget: 'datetime' }
      - { label: 'Cover Image', name: 'cover', widget: 'image' }
      - { label: 'Tags', name: 'tags', widget: 'string' }
      - { label: 'LinkURL', name: 'permalink', widget: 'string' }
      - { label: 'Body', name: 'body', widget: 'markdown' }
